searchNodes=[{"ref":"UnblockMeSolver.html","title":"UnblockMeSolver","type":"module","doc":"UnblockMeSolver is a solver for the UnblockMe mobile puzzle game. This module to generate and solve UnblockMe problems. UnblockMeSolver generates and solves UnblockMe problems in various configurations For example, to generate a trivial problem: iex&gt; UnblockMeSolver.generate(:trivial) [ [nil, nil, nil, nil, nil], [nil, nil, nil, nil, nil], [&#39;A&#39;, &#39;A&#39;, nil, nil, nil], [nil, nil, nil, nil, nil], [nil, nil, nil, nil, nil] ] Then solving the problem: iex&gt; UnblockMeSolver.generate(:trivial) |&gt; UnblockMeSolver.solve() [ {&#39;A&#39;, :right, 1}, {&#39;A&#39;, :right, 1}, {&#39;A&#39;, :right, 1}, ]"},{"ref":"UnblockMeSolver.html#generate/1","title":"UnblockMeSolver.generate/1","type":"function","doc":"Generates problems solvable by the UnblockMeSolver.solve/1 function. Examples iex&gt; UnblockMeSolver.generate(:trivial) [ [nil, nil, nil, nil, nil], [nil, nil, nil, nil, nil], [&#39;A&#39;, &#39;A&#39;, nil, nil, nil], [nil, nil, nil, nil, nil], [nil, nil, nil, nil, nil] ] The first argument specifies the difficulty. Accepted inputs are: :trivial - A problem with no other blocks. Ideal for testing :simple - A problem with 1 other block. Ideal for a demo Another other input will raise an error"},{"ref":"UnblockMeSolver.html#solve/1","title":"UnblockMeSolver.solve/1","type":"function","doc":"Solves an UnblockMe problem generated from UnblockMeSolver.generate/1 and returns a list of moves to solve the problem Examples iex&gt; UnblockMeSolver.generate(:trivial) |&gt; UnblockMeSolver.solve() [ {&#39;A&#39;, :right, 1}, {&#39;A&#39;, :right, 1}, {&#39;A&#39;, :right, 1}, ]"},{"ref":"readme.html","title":"UnblockMeSolver","type":"extras","doc":"UnblockMeSolver A solver and problem generator for the UnblockMe puzzle game in Elixir"},{"ref":"readme.html#quickstart","title":"UnblockMeSolver - Quickstart","type":"extras","doc":"You can run this in a Docker container using the aussidavid/unblockmesovler_elixir image docker run -it --rm aussidavid/unblockmesovler_elixir:latest Output: Erlang/OTP 22 [erts-10.5.5] [source] [64-bit] [smp:4:4] [ds:4:4:10] [async-threads:1] [hipe] Interactive Elixir (1.9.4) - press Ctrl+C to exit (type h() ENTER for help) iex(1)&gt; UnblockMeSolver.generate() [ [nil, nil, nil, nil, nil], [nil, nil, nil, nil, nil], [&#39;A&#39;, &#39;A&#39;, nil, nil, nil], [nil, nil, nil, nil, nil], [nil, nil, nil, nil, nil] ] iex(2)&gt; UnblockMeSolver.generate() |&gt; UnblockMeSolver.solve() [{&#39;A&#39;, :right, 1}, {&#39;A&#39;, :right, 1}, {&#39;A&#39;, :right, 1}] iex(3)&gt;"},{"ref":"readme.html#installation","title":"UnblockMeSolver - Installation","type":"extras","doc":"The package can be installed by adding unblock_me_solver to your list of dependencies in mix.exs: def deps do [ {:unblock_me_solver, &quot;~&gt; 1.0.0&quot;} ] end"},{"ref":"readme.html#documentation","title":"UnblockMeSolver - Documentation","type":"extras","doc":"Documentation can be found at https://hexdocs.pm/unblock_me_solver."}]